# Estrutura dos webhooks

### Estrutura do webhook

{% code title="webhook.json" overflow="wrap" lineNumbers="true" expandable="true" %}

```json
{
  "webhookUrl": "https://hook.us2.make.com/",
  "httpVerb": "post",
  "proxy": null,
  "tries": 3,
  "requestTimeout": 3,
  "cert": null,
  "certPassphrase": null,
  "sslKey": null,
  "sslKeyPassphrase": null,
  "backoffStrategyClass": "BackoffStrategy",
  "signerClass": null,
  "headers": {
    "Content-Type": "application/json",
    "Accept": "application/json",
    "x-signature": "{token}"
  },
  "verifySsl": true,
  "throwExceptionOnFailure": false,
  "queue": "queue",
  "payload": {
    ...
  },
  "meta": [],
  "tags": {
    "event": "order.completed",
    "relay": true
  },
  "uuid": "13ad0881-4756-402a-b3c3-3c10c9825f95",
  "outputType": "JSON",
  "response": null,
  "errorType": null,
  "errorMessage": null,
  "transferStats": null,
  "job": null,
  "connection": null,
  "delay": null,
  "afterCommit": null,
  "middleware": [],
  "chained": [],
  "chainConnection": null,
  "chainQueue": null,
  "chainCatchCallbacks": null
}

```

{% endcode %}

{% content-ref url="/spaces/mbuonzfEbI223CTyjCzW/pages/a1140aaaec16c2058cd8a92b83482cd3daee7d1a" %}
[Webhook de carrinho abandonado](/webhooks/webhooks-do-checkout/estrutura-dos-webhooks/webhook-de-carrinho-abandonado.md)
{% endcontent-ref %}

{% content-ref url="/spaces/mbuonzfEbI223CTyjCzW/pages/36a33166866b3f6f47deb13cbbf149b93fad50f3" %}
[Webhook de acesso](/webhooks/webhooks-do-checkout/estrutura-dos-webhooks/webhook-de-acesso.md)
{% endcontent-ref %}

{% content-ref url="/spaces/mbuonzfEbI223CTyjCzW/pages/76f027b216f03da1558750fbd3e33d53b275b166" %}
[Webhook de Pedido](/webhooks/webhooks-do-checkout/estrutura-dos-webhooks/webhook-de-pedido.md)
{% endcontent-ref %}

{% content-ref url="/spaces/mbuonzfEbI223CTyjCzW/pages/0ebfeb8231647b643b6508580e661e29c32f9a90" %}
[Webhook de Transação](/webhooks/webhooks-do-checkout/estrutura-dos-webhooks/webhook-de-transacao.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.themembers.dev.br/webhooks/webhooks-do-checkout/estrutura-dos-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
